﻿using ProjectPolyclinic.Entities.Enums;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectPolyclinic.Entities;

public class Medication
{
    public int Id { get; private set; }
    public MedicinesType MedicinesType { get; private set; }
    public string Dosing { get; private set; } = string.Empty;
    public string Description { get; private set; } = string.Empty;
    public static Medication CreateEntity(int id,MedicinesType medicinesType,string dosing, string description)
    {
        return new Medication
        {
            Id = id,
            MedicinesType = medicinesType,
            Dosing = dosing ?? string.Empty,
            Description = description ?? string.Empty,
        };
    }
}
